You are here

[Closed] Firefox does not work in wine past version 23.

4 posts / 0 new
Last post
pathal
Offline
Last seen: 10 years 1 month ago
Joined: 2008-03-26 17:17
[Closed] Firefox does not work in wine past version 23.

I have been running firefox portable on Ubuntu 12.04.4 LTS \n \l and past version 23 (this includes esr 24 version) it does not work with wine. I have used both the system wine (i believe 1.4) and play on linux versions (1.5 - 1.7.11). Firefox launches either into an immediate crash or sometimes you get to click on it and then it crashes. Because firefox 23 and earlier seem to work fine but none after that I assume it is a firefox issue rather than wine. Because of the nature of portable apps it effects this windows version more than most. This issue might drive me back to windows installs when I finally just got on to linux in the last year. Help me portableapps community. Your my only hope.

John T. Haller
John T. Haller's picture
Offline
Last seen: 11 hours 8 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Newer Wine

I believe current Firefox only works on the most recent Wine which is likely unavailable in the standard LTS app list. And I believe the only support and bug fix standard not ESR.

Sometimes, the impossible can become possible, if you're awesome!

John T. Haller
John T. Haller's picture
Offline
Last seen: 11 hours 8 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Working In Current Versions

I just double checked and Firefox Portable 27.0.1 is working fine on Ubuntu 13.10 running Wine 1.4.1.

Wine builds vary in quality depending on where you're pulling them from. For best results, we recommend one of the major OSes and only the current builds with the latest version of Wine. LTS can be hit or miss.

Sometimes, the impossible can become possible, if you're awesome!

pathal
Offline
Last seen: 10 years 1 month ago
Joined: 2008-03-26 17:17
Notes for people arriving from search engines :)

Okay so what worked from me is using the LTS with the latest stable release. My real problem was the distro I used did not have the latest wine and I use play on linux to use other versions. Play on linux just lists versions and I did not realize I was using the development versions (at the time 1.5 and 1.7's) and not the stable version. Once I checked the wine page and used the listed latest stable version the LTS firefox started working for me (although I still have the issue with the latest normal firefox). I use an LTS ubuntu based distro called zorin os. Hope this helps anyone who comes across a similar issue. Thanks John.

Log in or register to post comments